## BtSongIONative BtSongIONative — class for song input and output in builtin native format |

## Types and Values

struct | BtSongIONative
struct | BtSongIONativeClass
extern BtSongIOModuleInfo | bt_song_io_native_module_info

## Object Hierarchy

        GObject
        ╰── BtSongIO
            ╰── BtSongIONative
                ├── BtSongIONativeBZT
                ╰── BtSongIONativeXML

## Includes

    #include <libbtcore/core.h>

## Description

Buzztrax stores songs in an own file-format. This internal io-module implements loading and saving of this format. The format is an archive, that contains an XML file and optionally binary data, such as audio samples.

## Functions

## Types and Values

### struct BtSongIONative

    struct BtSongIONative;

object for song input and output in native zip/xml format

### struct BtSongIONativeClass

    struct BtSongIONativeClass {
      const BtSongIOClass parent;
    };

Class for song input and output in native zip/xml format

#### Members

const BtSongIOClass `parent`; | parent class type |

### bt_song_io_native_module_info

    extern BtSongIOModuleInfo bt_song_io_native_module_info;

Buzztrax native format song loader/saver metadata.